Get enrollment API keys

Base URL
https://{kibana_url}
  • GET /api/fleet/enrollment_api_keys
  • GET /s/{space_id}/api/fleet/enrollment_api_keys
Auth

List all enrollment API keys.

Required authorization

Privileges fleet-agents-all or fleet-setup

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

page number · default: 1

Page number

perPage number · default: 20

Number of results per page

kuery string · min length: 0

A KQL query string to filter results

Responses

Successful response

application/json
items object[] · max items: 10000 required
active boolean required

When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.

api_key string required

The enrollment API key (token) used for enrolling Elastic Agents.

api_key_id string required

The ID of the API key in the Security API.

created_at string required
expire_at string

The expiration date of the enrollment token as an ISO 8601 date string. Absent when the token never expires.

hidden boolean
id string required
name string

The name of the enrollment API key.

policy_id string

The ID of the agent policy the Elastic Agent will be enrolled in.

list object[] · max items: 10000 required deprecated
active boolean required

When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.

api_key string required

The enrollment API key (token) used for enrolling Elastic Agents.

api_key_id string required

The ID of the API key in the Security API.

created_at string required
expire_at string

The expiration date of the enrollment token as an ISO 8601 date string. Absent when the token never expires.

hidden boolean
id string required
name string

The name of the enrollment API key.

policy_id string

The ID of the agent policy the Elastic Agent will be enrolled in.

page number required
perPage number required
total number required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}